Name:           python-bw2data
Version:        4.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Tools for the management of inventory databases and impact assessment methods. Part of the Brightway LCA framework.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/brightway-lca/bw2data
Source:         %{pypi_source bw2data}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'bw2data' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-bw2data
Summary:        %{summary}

%description -n python3-bw2data %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-bw2data dev,testing


%prep
%autosetup -p1 -n bw2data-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev,testing


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-bw2data -f %{pyproject_files}


%changelog
%autochangelog